module IdCard
    class ProviderSection < ApplicationRecord

        scope :defaults, -> { where(default: true) }

        def self.permitted_params(params)
            params.require(:id_card_setup).require(:provider_section).permit(
                :provider_line_1,
                :provider_line_2,
                :provider_line_3,
                :provider_line_4,
                :provider_line_5,
                :provider_line_6,
                :provider_line_7,
                :provider_line_8,
                :provider_line_9,
                :provider_line_10,
                :provider_line_11,
                :provider_line_12,
                :claim_to_1,
                :claim_to_2,
                :claim_to_3,
                :claim_to_4,
                :claim_to_5,
                :claim_to_6,
                :claim_to_7,
                :claim_to_8,
                :claim_to_9,
                :claim_to_10,
                :claim_to_11,
                :claim_to_12
            )
      end

    end
end